tigase.jaxmpp.core.client.xmpp.modules.capabilities

## Interface CapabilitiesCache

- All Known Implementing Classes:
    J2SECapabiliesCache

      public interface CapabilitiesCache

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getFeatures(String node)`
    `DiscoveryModule.Identity` | `getIdentity(String node)`
    `Set<String>` | `getNodesWithFeature(String feature)`
    `boolean` | `isCached(String node)`
    `void` | `store(String node, String name, String category, String type, Collection<String> features)`

- - ### Method Detail

    - #### getFeatures

          Set<String> getFeatures(String node)

    - #### getIdentity

          DiscoveryModule.Identity getIdentity(String node)

    - #### getNodesWithFeature

          Set<String> getNodesWithFeature(String feature)

    - #### isCached

          boolean isCached(String node)

    - #### store

          void store(String node,
                     String name,
                     String category,
                     String type,
                     Collection<String> features)

Copyright © 2006–2020 Tigase. All rights reserved.